Package twisted :: Package conch :: Module realm :: Class ISSHUser |
[frames | no frames]

## Class ISSHUser

A user for an SSH service. This lets the server get access to things like the users uid/gid, their home directory, and their shell.

Method Summary
| ``getHomeDir`(self)` Return a string containing the path of home directory.
| ``getShell`(self)` Return a string containing the path to the users shell.
| ``getUserGroupId`(self)` Return a tuple of (uid, gid) for the user.

Method Details

### getHomeDir(self) Returns: a string containing the path of home directory.

### getShell(self) Returns: a string containing the path to the users shell.

### getUserGroupId(self) Returns: a tuple of (uid, gid) for the user.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net